> For the complete documentation index, see [llms.txt](https://docs.yemreak.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.yemreak.com/arsiv/programming/websocket-errorcodelarini-aciklamalari.md).

# Websocket error.code’larini aciklamalari

![](https://i.imgur.com/U6aLtrt.png)

```typescript
const specificStatusCodeMappings: Record<number, string> = {
	1000: "Normal Closure",
	1001: "Going Away",
	1002: "Protocol Error",
	1003: "Unsupported Data",
	1004: "(For future)",
	1005: "No Status Received",
	1006: "Abnormal Closure",
	1007: "Invalid frame payload data",
	1008: "Policy Violation",
	1009: "Message too big",
	1010: "Missing Extension",
	1011: "Internal Error",
	1012: "Service Restart",
	1013: "Try Again Later",
	1014: "Bad Gateway",
	1015: "TLS Handshake",
} as const

export function getStatusCodeString(code: number): string {
	if (code >= 0 && code <= 999) {
		return "(Unused)"
	} else if (code >= 1016) {
		if (code <= 1999) {
			return "(For WebSocket standard)"
		} else if (code <= 2999) {
			return "(For WebSocket extensions)"
		} else if (code <= 3999) {
			return "(For libraries and frameworks)"
		} else if (code <= 4999) {
			return "(For applications)"
		}
	}
	return specificStatusCodeMappings[code] ?? "(Unknown)"
}
```

```typescript
protected handleSocketClose(socketId: SocketId,	event: CloseEvent): void {
	const { code, reason = getStatusCodeString(code) } = event
	// ...
}
```

{% embed url="<https://stackoverflow.com/a/61283792/9770490>" %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.yemreak.com/arsiv/programming/websocket-errorcodelarini-aciklamalari.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
